# Barry::ZeroPacket Class Reference

`#include <packet.h>`

Inheritance diagram for Barry::ZeroPacket:

[legend]
Collaboration diagram for Barry::ZeroPacket:

[legend]

List of all members.

## Detailed Description

Provides an API for building and analyzing socket-0 protocol packets.

This class relies on 2 external objects: a send and receive Data buffer.

Note that the receive buffer may be modified during a packet send, and this class provides API helpers to analyze the results.

Definition at line 87 of file packet.h.

## Public Member Functions

void | GetAttribute (unsigned int object, unsigned int attribute)
| Builds a command packet for the initial socket-0 handshakes that fetch certain (some unknown) attributes.
void | Echo (uint64_t us_ticks)
| Builds command packet for sending echo request.

## Member Function Documentation

void Barry::ZeroPacket::GetAttribute | ( | unsigned int | object,
|  | unsigned int | attribute |
| ) |  |  |

Builds a command packet for the initial socket-0 handshakes that fetch certain (some unknown) attributes.

The attributes appear to exist in an object/attribute sequence, so that's how we address them here.

Definition at line 78 of file packet.cc.

void Barry::ZeroPacket::Echo | ( | uint64_t | us_ticks | ) |

Builds command packet for sending echo request.

The parameter to this command is the number of microseconds elapsed since host computer startup.

Definition at line 102 of file packet.cc.

The documentation for this class was generated from the following files:

- packet.h
- packet.cc